package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasArcTlsAttendance;
import com.koobietech.eas.mbg.model.EasArcTlsAttendanceExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasArcTlsAttendanceMapper {
    long countByExample(EasArcTlsAttendanceExample example);

    int deleteByExample(EasArcTlsAttendanceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasArcTlsAttendance record);

    int insertSelective(EasArcTlsAttendance record);

    List<EasArcTlsAttendance> selectByExample(EasArcTlsAttendanceExample example);

    EasArcTlsAttendance selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasArcTlsAttendance record, @Param("example") EasArcTlsAttendanceExample example);

    int updateByExample(@Param("record") EasArcTlsAttendance record, @Param("example") EasArcTlsAttendanceExample example);

    int updateByPrimaryKeySelective(EasArcTlsAttendance record);

    int updateByPrimaryKey(EasArcTlsAttendance record);
}